complexType "ClearingStatus"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 9 elements
Defined: | globally in fpml-confirmation-processes-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header, validation*, (parentCorrelationId?, correlationId, sequenceNumber?)?, onBehalfOf?, clearingStatusItem?, (party+, account*)?
</...>

Content Model Elements (9):

  account, clearingStatusItem, correlationId, header (defined in NotificationMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, party (defined in PartiesAndAccounts.model group), sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  clearingStatus

Known Usage Locations

- As direct type of elements (1):
  clearingStatus

Annotation
A message providing the current status of a clearing request.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) ClearingStatus

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ClearingStatus"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="clearingStatusItem" type="ClearingStatusItem"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/9)
clearingStatusItem

  Type: | ClearingStatusItem, complex content

  Describes the status of the clearing process relating to the identified trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="clearingStatusItem" type="ClearingStatusItem"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.